net.sourceforge.pmd.dfa

## Class DataFlowNodeTest

- java.lang.Object
- - net.sourceforge.pmd.dfa.DataFlowNodeTest

    public class DataFlowNodeTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DataFlowNodeTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testAddPathToChild()`
`void` `testRemovePathToChild()`
`void` `testRemovePathWithNonChild()`
`void` `testReverseParentPathsTo()`
`void` `testSetType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataFlowNodeTest

    public DataFlowNodeTest()

### Method Detail

#### testAddPathToChild

    public void testAddPathToChild()

#### testRemovePathToChild

    public void testRemovePathToChild()

#### testRemovePathWithNonChild

    public void testRemovePathWithNonChild()

#### testReverseParentPathsTo

    public void testReverseParentPathsTo()

#### testSetType

    public void testSetType()

#### suite

    public static junit.framework.Test suite()